const queryString = require('query-string')

module.exports = function (href = '') {

  let privateKey

  if (window && window.location) {
    // cool, we're in a browser window
    privateKey = window.location.hash.substr(1)
    href = window.location.href
  } else if (href) {
    privateKey = href.substr(href.indexOf('#') + 1, 40)
  } else if (!href) {
    throw new Error('Please pass the widndow.href to this burner-url-parser, or run it in a browser')
  }

  const parsed = queryString.parseUrl(href)
  const { tokenAddress, networkId } = parsed.query

  return { privateKey, tokenAddress, networkId }

}